Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase

java.lang.Object
java.lang.Enum<ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase>
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol.FetchSystemMetadataResponse

    public static enum ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase
    extends Enum<ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase>
    implements com.google.protobuf.Internal.EnumLite

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`INT_VAL` |
`RESULT_SET_VAL` |
`RESULTONEOF_NOT_SET` |
`STRING_VAL` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` | `forNumber​(int value)` |
`int` | `getNumber()` |
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RESULT_SET_VAL

public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase RESULT_SET_VAL

### STRING_VAL

public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase STRING_VAL

### INT_VAL

public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase INT_VAL

### RESULTONEOF_NOT_SET

public static final ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase RESULTONEOF_NOT_SET

## Method Details

### values

public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase forNumber​(int value)

### getNumber

public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`